--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_umap.c	Sun Jun 11 17:03:39 2017
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_umap.c	Sun Jun 11 17:03:39 2017
@@ -454,7 +454,6 @@
 	 */
 	dvm_track = (tavor_devmap_track_t *)kmem_zalloc(
 	    sizeof (tavor_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	dvm_track->tdt_offset = off;
 	dvm_track->tdt_state  = state;
 	dvm_track->tdt_refcnt = 1;
@@ -568,7 +567,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (tavor_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state = dvm_track->tdt_state;
 
 	/*
@@ -598,7 +596,6 @@
 	 */
 	new_dvm_track = (tavor_devmap_track_t *)kmem_zalloc(
 	    sizeof (tavor_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*new_dvm_track))
 	new_dvm_track->tdt_offset = 0;
 	new_dvm_track->tdt_state  = state;
 	new_dvm_track->tdt_refcnt = 1;
@@ -640,7 +637,6 @@
 	 * structure" (in "pvtp").
 	 */
 	dvm_track = (tavor_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state	  = dvm_track->tdt_state;
 
 	/*
@@ -842,7 +838,6 @@
 	 */
 	dvm_track = (tavor_devmap_track_t *)kmem_zalloc(
 	    sizeof (tavor_devmap_track_t), KM_SLEEP);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	dvm_track->tdt_state  = state;
 	dvm_track->tdt_size   = PAGESIZE;
 
@@ -886,7 +881,6 @@
 		return (DDI_SUCCESS);
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	state = dvm_track->tdt_state;
 
 	/*
@@ -942,7 +936,6 @@
 	 * this case, it can be safely ignored.
 	 */
 	dvm_track = (tavor_devmap_track_t *)pvtp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dvm_track))
 	if (dvm_track == NULL) {
 		TAVOR_TNF_EXIT(tavor_devmap_devmem_unmap);
 		return;
@@ -1049,7 +1042,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_mr_data_in);
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * Ensure that the MR corresponds to userland memory and that it is
@@ -1199,7 +1191,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_cq_data_out);
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the above checks, then fill in all the useful
@@ -1255,7 +1246,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_qp_data_out);
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill in all the useful
@@ -1340,7 +1330,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_srq_data_out);
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill in all the useful
@@ -1403,7 +1392,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_pd_data_out);
 		return (IBT_INSUFF_RESOURCE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*data))
 
 	/*
 	 * If it has passed all the checks, then fill the PD table index
@@ -1486,7 +1474,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_db_alloc);
 		return (NULL);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
 
 	/* Fill in the fields in the database entry */
 	umapdb->tdbe_common.tdb_instance  = instance;
@@ -1546,8 +1533,6 @@
 
 	ASSERT(MUTEX_HELD(&tavor_userland_rsrc_db.tdl_umapdb_lock));
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
-
 	/*
 	 * Copy the common portion of the "to-be-added" database entry
 	 * into the "tavor_umap_db_query_t" structure.  We use this structure
@@ -1631,7 +1616,6 @@
 		TAVOR_TNF_EXIT(tavor_umap_db_find_nolock);
 		return (DDI_FAILURE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*entry))
 
 	/*
 	 * If the flags argument specifies that the entry should
@@ -1698,7 +1682,6 @@
 	status = tavor_umap_db_find(0, (uint64_t)(uintptr_t)umem_cookie,
 	    MLNX_UMAP_MRMEM_RSRC, &value, (TAVOR_UMAP_DB_REMOVE |
 	    TAVOR_UMAP_DB_IGNORE_INSTANCE), &umapdb);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*umapdb))
 	if (status == DDI_SUCCESS) {
 		instance = umapdb->tdbe_common.tdb_instance;
 		state = ddi_get_soft_state(tavor_statep, instance);
@@ -1767,8 +1750,6 @@
 
 	TAVOR_TNF_ENTER(tavor_umap_db_compare);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*((tavor_umap_db_query_t *)q)))
-
 	entry_common = &((tavor_umap_db_entry_t *)e)->tdbe_common;
 	query_common = &((tavor_umap_db_query_t *)q)->tqdb_common;
 	query_flags  = ((tavor_umap_db_query_t *)q)->tqdb_flags;
